"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("./utils");
const replaceTransformer_1 = require("./transformers/replaceTransformer");
function rootName(name, lang, options) {
    if (!utils_1.isSupportedLanguage(lang)) {
        utils_1.debug(`Unsupported language: ${lang}`);
        return name;
    }
    const langData = DATA[lang];
    for (let data of langData) {
        let root = data.transform(name, lang, options);
        if (root !== name) {
            utils_1.debug(`tranformed from ${name} => ${root}`);
            if (data.stop) {
                return root;
            }
        }
    }
    utils_1.debug(`NOT tranformed ${name}`);
    return name;
}
exports.default = rootName;
const DATA = {
    ro: [
        { transform: replaceTransformer_1.default, stop: true },
    ],
    ru: [
        { transform: replaceTransformer_1.default, stop: true },
    ],
};
