"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const options_1 = require("../options");
const replaceRules_1 = require("./replaceRules");
function transform(name, lang, options) {
    const rules = replaceRules_1.getRules(lang);
    if (!rules.length) {
        return name;
    }
    options = options_1.createOptions(options);
    let names = name.split(/\s+/g)
        .map(word => ({ word, transform: word.length > options.minWordLength }));
    const rootNames = names.map(item => {
        if (item.transform) {
            const w = internalTransform(rules, item.word, options.accuracy);
            if (w.length >= options.minWordLength) {
                return w;
            }
        }
        return item.word;
    });
    return rootNames.join(' ');
}
exports.default = transform;
function internalTransform(rules, name, accuracy) {
    for (let rule of rules) {
        if (Number.isInteger(rule.accuracy) && accuracy > rule.accuracy) {
            continue;
        }
        let root = name.replace(rule.reg, rule.replace || '');
        if (root !== name) {
            return root;
        }
    }
    return name;
}
